Skip to main content
POST
Create value item worklog

Authorizations

X-API-Key
string
header
required

Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.

Path Parameters

id
string
required
Pattern: [^\s_]\S*

Body

application/json

Create payload for a value item worklog.

person
object
required
workDate
string<date>
required
Example:

"2022-03-10"

timeSpentMinutes
integer<int32>
required
Required range: x >= 1
timeSpentDisplay
string
required
notes
string
Maximum string length: 1000
tagsByFacet
object
timeRemainingMinutes
integer<int32>

Optional remaining time in minutes after this worklog entry.

timeRemainingDisplay
string

Optional remaining time display value after this worklog entry.

startTime
string<local-time>

Optional start time for the worklog interval.

Example:

"13:45.30.123456789"

clientProject
object

Response

200 - application/json

Worklog created